Subject: Re: [RFC PATCH] Add bridge ifindex to bridge fdb notify msgs

From: Jamal Hadi Salim <[email-masked]>
Date: Tue, 27 May 2014 17:51:12 -0400

On 05/27/14 13:05, Roopa Prabhu wrote:

>> I like the idea of this, but the new attribute needs to be part of the
>> set
>> as well as notify and display infrastructure.
>>
> ok thanks, i will resubmit with set and other changes.

I think it is useful for symettry purposes to have both directions
have NDA_MASTER; but other than that, I dont see any purpose NDA_MASTER
serves. A bridge port is specified on the ndm msg to the kernel.
A bridge port can only belong to one master.
The kernel can deduce that already.
Infact i think specifying the NDA_MASTER may cause problems when
the specified NDA_MASTER is not the bridge to which the bridge port
belongs to....

cheers,
jamal